<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class Zimmer_Beleg extends Datamodul
{
  
  public $ortnr;

  
  public $preis;

  
  public $uepreis;

  
  public $knr;

  
  public $bettnr;

  
  public $status;

  
  public $faktor;

  
  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'preis':
      case 'uepreis':
        return \DatamodulVarType::TYPE_FLOAT;
      case 'faktor':
        return \DatamodulVarType::TYPE_FLOAT_DOT;
    }
  }
}